package com.yeejoin.amos.boot.module.jxiop.biz.tdMapper2;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yeejoin.amos.boot.module.jxiop.biz.dto.FanHealthIndexDto;
import com.yeejoin.amos.boot.module.jxiop.biz.tdengine.FanHealthIndex;
import com.yeejoin.amos.boot.module.jxiop.biz.tdengine.FanWarningRecord;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import org.apache.ibatis.annotations.Select;

import java.util.List;
import java.util.Map;

public interface FanWaringRecordMapper  extends BaseMapper<FanWarningRecord> {

 public List<Map<String,Object>> selectFanWarningNum(String station);


 public List<FanWarningRecord> warningData(String STATION,String EQUIPMENTNAME,String SUBSYSTEM);

 public List<FanWarningRecord> selectWarningPoint(String STATION,String EQUIPMENTNAME);

 public List<Map<String,Object>> selectEquipWarningTotal(String STATION,String EQUIPMENTNAME);

 int saveBatchWarningRecords(@Param("list") List<FanWarningRecord> list);


 List<FanWarningRecord> getInfoByPage(@Param("dto") FanHealthIndexDto dto);

 Integer getInfoByPageTotal(@Param("dto") FanHealthIndexDto dto);

 FanWarningRecord getInfoByTs(@Param("ts") Long ts);

 int updateStatusByTs(@Param("list") List<FanWarningRecord> list);

}
